from django.db import models
from django.core.validators import MinValueValidator, MaxValueValidator


class GymProgram(models.Model):

    name = models.CharField(max_length=64, blank=False, default='')
    description = models.TextField(blank=True, default='')
    duration = models.PositiveSmallIntegerField(validators=[MinValueValidator(1), MaxValueValidator(4)])
    users = models.ManyToManyField('user.User', through='appointment.Appointment')

    def __str__(self):
        return f"Name: {self.name}, Description: {self.description}, Duration: {self.duration}"

    class Meta:
        db_table = 'gym_program_table'
